Bug 45039 - pam_access(sshd:account): unrecognized option [maxent=0x400001]
pam_access(sshd:account): unrecognized option [maxent=0x400001]
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: PAM
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Arvid Requate
Philipp Hahn
:
Depends on: 29393 43287
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 19:30 CEST by Arvid Requate
Modified: 2017-08-09 16:57 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 5: Will affect all installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.029
Enterprise Customer affected?: Yes
School Customer affected?: Yes
ISV affected?:
Ticket number: 2017071721000555,2017080221000125
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-07-18 19:30:58 CEST
In the environment of Ticket #2017071721000555 messages of this kind showed up in auth.log:

pam_access(sshd:account): unrecognized option [maxent=0x400001]



Looks like the patches have not been applied:

svn/patches/pam/4.2-0-0-ucs/1.1.8-3.1+deb8u1

repo_stat says:

Version 1.1.8-3.1+deb8u2        Rev 99625       Date 2017-06-07 06:15:15
        Release 4.2-0-0
Comment 1 Michael Grandjean univentionstaff 2017-08-02 09:59:08 CEST
Noticed by other customer. Looks like this affects all of our PAM configurations:
ftp, gdm, kdm, login, other, ppp, rlogin, screen, ssh ...
Comment 2 Arvid Requate univentionstaff 2017-08-03 19:03:31 CEST
I've manually imported the +deb8u2 version to src/ and cherrypicked the package into errata4.2-1. The UCS specific patches have been applied during built.

Advisory: pam.yaml
Comment 3 Philipp Hahn univentionstaff 2017-08-04 09:37:16 CEST
FIXED: pam.yaml → r81782
OK: errata-announce -V --only pam.yaml

OK: grep maxent /var/log/auth.log
OK: aptitude install '?source-package(pam)~i'
OK: zless /usr/share/doc/libpam0g/changelog.Debian.gz
OK: python /usr/share/doc/python-pam/examples/pamtest.py Administrator
Comment 4 Arvid Requate univentionstaff 2017-08-09 16:57:23 CEST
<http://errata.software-univention.de/ucs/4.2/126.html>